Public Class Calculator
    Inherits System.Windows.Forms.Form
    Dim cleardisplay As Boolean
    Dim operand1 As Double, operand2 As Double
    Dim [operator] As String
    Private Sub digitclick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttn0.Click, bttn1.Click, bttn2.Click, bttn3.Click, bttn4.Click, bttn5.Click, bttn6.Click, bttn7.Click, bttn8.Click, bttn9.Click
        If cleardisplay Then
            lbldisplay.Text = ""
            cleardisplay = False

        End If
        lbldisplay.Text = lbldisplay.Text + sender.text
    End Sub

    Private Sub bttnperiod_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnperiod.Click
        If lbldisplay.Text.IndexOf(".") > 0 Then
            Exit Sub
        Else
            lbldisplay.Text = lbldisplay.Text & "."
        End If
    End Sub

    Private Sub bttnplus_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnplus.Click
        operand1 = Val(lbldisplay.Text)
        [operator] = "+"
        cleardisplay = True
    End Sub

    Private Sub bttnequals_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnequals.Click
        Dim result As Double
        operand2 = Val(lbldisplay.Text)
        Try
            Select Case [operator]
                Case "+"
                    result = operand1 + operand2
                Case "-"
                    result = operand1 - operand2
                Case "*"
                    result = operand1 * operand2
                Case "/"

                    result = operand1 / operand2
                    If operand2 <> "0" Then
                    End If
            End Select
            lbldisplay.Text = result
        Catch exc As Exception
            MsgBox(exc.Message)
            result = "EROOR"
        Finally
            lbldisplay.Text = result
            cleardisplay = True
        End Try
    End Sub

    Private Sub bttnminus_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnminus.Click
        operand1 = Val(lbldisplay.Text)
        [operator] = "-"
        cleardisplay = True
    End Sub

    Private Sub bttnmultiply_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnmultiply.Click
        operand1 = Val(lbldisplay.Text)
        [operator] = "*"
        cleardisplay = True
    End Sub

    Private Sub bttndivide_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttndivide.Click
        operand1 = Val(lbldisplay.Text)
        [operator] = "/"
        cleardisplay = True
    End Sub

    Private Sub Calculator_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles Me.KeyPress
        If System.Char.IsDigit(e.KeyChar) Or e.KeyChar = "." Then
            If cleardisplay Then
                lbldisplay.Text = ""
                cleardisplay = False
            End If
            lbldisplay.Text = lbldisplay.Text + e.KeyChar
        End If
        If e.KeyChar = "C" Or e.KeyChar = "c" Then
            lbldisplay.Text = ""
        End If
        Select Case e.KeyChar
            Case "+"
                bttnplus_Click(sender, e)
            Case "-"
                bttnminus_Click(sender, e)
            Case "*"
                bttnmultiply_Click(sender, e)
            Case "/"
                bttndivide_Click(sender, e)
        End Select
    End Sub

    Private Sub bttninverse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttninverse.Click
        If Val(lbldisplay.Text) <> 0 Then
            lbldisplay.Text = 1 / lbldisplay.Text
            cleardisplay = True
        End If
    End Sub

    Private Sub bttnnegate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnnegate.Click
        lbldisplay.Text = -Val(lbldisplay.Text)
        cleardisplay = True
    End Sub

    Private Sub bttnclear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnclear.Click
        lbldisplay.Text = ""
    End Sub

    Private Sub bttnsin_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnsin.Click
        lbldisplay.Text = Math.Sin(lbldisplay.Text)
        cleardisplay = True
    End Sub

    Private Sub bttncos_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttncos.Click
        lbldisplay.Text = Math.Cos(lbldisplay.Text)
        cleardisplay = True
    End Sub

    Private Sub bttnlog_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnlog.Click
        If Val(lbldisplay.Text) < 0 Then
            MsgBox("    ")
        Else
            lbldisplay.Text = Math.Log(lbldisplay.Text)

        End If
        cleardisplay = True
    End Sub

    Private Sub Calculator_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Sub Label1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Label1.Click
        MsgBox("www.mspsoft.ir")
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        MsgBox("www.mspsoft.ir")
    End Sub
End Class
